%bcond_without unittests
%global modname munch

Summary:            A dot-accessible dictionary (a la JavaScript objects)
Name:               python-munch
Version:            4.0.0
Release:            2%{?dist}
License:            MIT
URL:                https://pypi.io/project/munch
Source0:            %pypi_source %{modname}

BuildRequires:      python3-devel
%if %{with unittests}
# use pytest directly instead of tox to avoid all those dependencies
BuildRequires:      python3-pytest
%endif

BuildArch:          noarch

%description
munch is a fork of David Schoonover's **Bunch** package, providing similar functionality. 99% of the
work was done by him, and the fork was made mainly for lack of responsiveness for fixes and
maintenance on the original code.

Munch is a dictionary that supports attribute-style access, a la JavaScript.

%package -n python3-munch
Summary:            A dot-accessible dictionary (a la JavaScript objects)
Requires:           %{py3_dist setuptools}

%description -n python3-munch
munch is a fork of David Schoonover's **Bunch** package, providing similar functionality. 99% of the
work was done by him, and the fork was made mainly for lack of responsiveness for fixes and
maintenance on the original code.

Munch is a dictionary that supports attribute-style access, a la JavaScript.

%prep
%autosetup -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_unittests:-x yaml}

sed -i '/\/usr\/bin\/python/d' munch/__init__.py
rm -rf %{modname}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files munch

%check
%if %{with unittests}
%pytest
%endif

%files -n python3-munch -f %{pyproject_files}
%license LICENSE.txt
%doc README.md

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 4.0.0-1
- Upgrade to version 4.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 2.5.0-1
- initial build
